# Ogre::SceneManager::LightInfo Struct Reference

Cached light information, used to tracking light's changes. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions

bool | operator== (const LightInfo &rhs) const
bool | operator!= (const LightInfo &rhs) const

## Public Attributes

Light * | light
int | type
Real | range
Vector3 | position

## Detailed Description

Cached light information, used to tracking light's changes.

Definition at line 398 of file OgreSceneManager.h.

## Member Function Documentation

bool Ogre::SceneManager::LightInfo::operator!= | ( | const LightInfo & | rhs | ) | const

| Definition at line 411 of file OgreSceneManager.h.

bool Ogre::SceneManager::LightInfo::operator== | ( | const LightInfo & | rhs | ) | const

| Definition at line 405 of file OgreSceneManager.h.

## Member Data Documentation

Light* Ogre::SceneManager::LightInfo::light

| Definition at line 400 of file OgreSceneManager.h.

Vector3 Ogre::SceneManager::LightInfo::position

| Definition at line 403 of file OgreSceneManager.h.

Real Ogre::SceneManager::LightInfo::range

| Definition at line 402 of file OgreSceneManager.h.

int Ogre::SceneManager::LightInfo::type

| Definition at line 401 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Aug 20 13:55:35 2007